{% extends "base.html" %}
{% block title %}Admin Dashboard{% endblock %}
{% block body %}
    <div id="content">
        <div class="container-fluid">
            <div class="d-sm-flex align-items-center justify-content-between mb-4">
                <h1 class="h3 mb-0">Dashboard</h1>
            </div>
            <div class="row">
                <div class="col-xl-3 col-md-6 mb-4">
                    <div class="card shadow h-100 py-2">
                        <div class="card-body">
                            <div class="row no-gutters align-items-center">
                                <div class="col mr-2">
                                    <div class="small fw-bold text-primary text-uppercase mb-1">
                                        Earnings last Year
                                    </div>
                                    <div class="h5 mb-0 fw-bold">€{{ earning_year }}</div>
                                </div>
                                <div class="col-auto">
                                    <i class="fa-solid fa-euro-sign fa-2x"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-3 col-md-6 mb-4">
                    <div class="card shadow h-100 py-2">
                        <div class="card-body">
                            <div class="row no-gutters align-items-center">
                                <div class="col mr-2">
                                    <div class="small fw-bold text-primary text-uppercase mb-1">
                                        Earnings last Month
                                    </div>
                                    <div class="h5 mb-0 fw-bold">€{{ earning_month }}</div>
                                </div>
                                <div class="col-auto">
                                    <i class="fa-solid fa-euro-sign fa-2x"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-xl-4 col-lg-5">
                    <div class="card shadow mb-4">
                        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary">Top Customers</h6>
                        </div>

                        <div class="card-body">
                            <div class="chart-pie pt-4 pb-2">
                                <canvas id="myChart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock body %}
{% block js %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.0/chart.min.js"
            integrity="sha512-TW5s0IT/IppJtu76UbysrBH9Hy/5X41OTAbQuffZFU6lQ1rdcLHzpU5BzVvr/YFykoiMYZVWlr/PX1mDcfM9Qg=="
            crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        // Pie Chart Example
        var ctx = document.getElementById("myChart");
        var chart = new Chart(ctx, {
            type: 'bar',
            data: {
                labels: {{ best_customers_graph.labels|tojson }},
                fill: false,
                datasets: [{
                    label: false,
                    data: {{ best_customers_graph.data|tojson }},
                    backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(255, 159, 64, 0.2)',
                        'rgba(255, 205, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(54, 162, 235, 0.2)'
                    ],
                    borderColor: [
                        'rgb(255, 99, 132)',
                        'rgb(255, 159, 64)',
                        'rgb(255, 205, 86)',
                        'rgb(75, 192, 192)',
                        'rgb(54, 162, 235)'
                    ],
                    borderWidth: 1
                }],
            },
            options: {
                indexAxis: 'y',
                plugins: {
                    legend: {
                        display: false,
                    }
                }
            },
        });
    </script>
{% endblock js %}